(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,682,559);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,363,413);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32251',
			title: 'Uzupełnij tabelę.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: ['1', '2', '3'],
				2: ['4', '5', '6', '7', '8'],
				3: ['9', '10'],
				4: ['11', '12', '13'],
				5: ['14', '15', '16'],
				6: ['17', '18', '19', '20', '21'],
				7: ['22', '23', '24', '25'],
				8: ['26'],
				9: ['27']
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '2',	
				/*drop_5:*/ '2',	
				/*drop_6:*/ '2',	
				/*drop_7:*/ '2',	
				/*drop_8:*/ '2',	
				/*drop_9:*/ '3',		
				/*drop_10:*/ '3',		
				/*drop_11:*/ '4',		
				/*drop_12:*/ '4',		
				/*drop_13:*/ '4',		
				/*drop_14:*/ '5',		
				/*drop_15:*/ '5',		
				/*drop_16:*/ '5',		
				/*drop_17:*/ '6',		
				/*drop_18:*/ '6',		
				/*drop_19:*/ '6',		
				/*drop_20:*/ '6',		
				/*drop_21:*/ '6',		
				/*drop_22:*/ '7',		
				/*drop_23:*/ '7',		
				/*drop_24:*/ '7',		
				/*drop_25:*/ '7',		
				/*drop_26:*/ '8',		
				/*drop_27:*/ '9'		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_12 = new lib.Symbol4();
	this.drag_12.setTransform(953.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drop_26 = new lib.Symbol8();
	this.drop_26.setTransform(730.9,169.3,1,1,0,0,0,34.5,20.5);

	this.drop_27 = new lib.Symbol9();
	this.drop_27.setTransform(730.9,553,1,1,0,0,0,34.5,20.5);

	this.drop_25 = new lib.Symbol7();
	this.drop_25.setTransform(730.9,607.3,1,1,0,0,0,34.5,20.5);

	this.drop_24 = new lib.Symbol7();
	this.drop_24.setTransform(730.9,497.3,1,1,0,0,0,34.5,20.5);

	this.drop_23 = new lib.Symbol7();
	this.drop_23.setTransform(730.9,223.3,1,1,0,0,0,34.5,20.5);

	this.drop_22 = new lib.Symbol7();
	this.drop_22.setTransform(560.9,553,1,1,0,0,0,34.5,20.5);

	this.drag_25 = new lib.Symbol7();
	this.drag_25.setTransform(953.9,407.4,1,1,0,0,0,34.5,20.5);

	this.drag_24 = new lib.Symbol7();
	this.drag_24.setTransform(953.9,407.4,1,1,0,0,0,34.5,20.5);

	this.drag_23 = new lib.Symbol7();
	this.drag_23.setTransform(953.9,407.4,1,1,0,0,0,34.5,20.5);

	this.drop_21 = new lib.Symbol6();
	this.drop_21.setTransform(730.9,333.1,1,1,0,0,0,34.5,20.5);

	this.drop_20 = new lib.Symbol6();
	this.drop_20.setTransform(730.9,277.1,1,1,0,0,0,34.5,20.5);

	this.drop_19 = new lib.Symbol6();
	this.drop_19.setTransform(560.9,498.1,1,1,0,0,0,34.5,20.5);

	this.drop_18 = new lib.Symbol6();
	this.drop_18.setTransform(560.9,223.1,1,1,0,0,0,34.5,20.5);

	this.drag_21 = new lib.Symbol6();
	this.drag_21.setTransform(1155.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_20 = new lib.Symbol6();
	this.drag_20.setTransform(1155.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_19 = new lib.Symbol6();
	this.drag_19.setTransform(1154.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_18 = new lib.Symbol6();
	this.drag_18.setTransform(1154.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drop_17 = new lib.Symbol6();
	this.drop_17.setTransform(560.9,168.1,1,1,0,0,0,34.5,20.5);

	this.drop_16 = new lib.Symbol5();
	this.drop_16.setTransform(730.9,442.3,1,1,0,0,0,34.5,20.5);

	this.drop_15 = new lib.Symbol5();
	this.drop_15.setTransform(560.9,606.3,1,1,0,0,0,34.5,20.5);

	this.drop_14 = new lib.Symbol5();
	this.drop_14.setTransform(560.9,334.3,1,1,0,0,0,34.5,20.5);

	this.drag_16 = new lib.Symbol5();
	this.drag_16.setTransform(1054.4,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_15 = new lib.Symbol5();
	this.drag_15.setTransform(1054.4,314.1,1,1,0,0,0,34.5,20.5);

	this.drop_13 = new lib.Symbol4();
	this.drop_13.setTransform(730.9,387.3,1,1,0,0,0,34.5,20.5);

	this.drop_12 = new lib.Symbol4();
	this.drop_12.setTransform(560.9,443.3,1,1,0,0,0,34.5,20.5);

	this.drop_11 = new lib.Symbol4();
	this.drop_11.setTransform(560.9,278.3,1,1,0,0,0,34.5,20.5);

	this.drag_13 = new lib.Symbol4();
	this.drag_13.setTransform(953.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_11 = new lib.Symbol4();
	this.drag_11.setTransform(953.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drop_10 = new lib.Symbol3();
	this.drop_10.setTransform(560.9,388,1,1,0,0,0,34.5,20.5);

	this.drop_9 = new lib.Symbol3();
	this.drop_9.setTransform(384.9,552,1,1,0,0,0,34.5,20.5);

	this.drag_10 = new lib.Symbol3();
	this.drag_10.setTransform(1154.9,230.3,1,1,0,0,0,34.5,20.5);

	this.drop_8 = new lib.Symbol2();
	this.drop_8.setTransform(384.9,607.3,1,1,0,0,0,34.5,20.5);

	this.drop_7 = new lib.Symbol2();
	this.drop_7.setTransform(384.9,498.3,1,1,0,0,0,34.5,20.5);

	this.drop_6 = new lib.Symbol2();
	this.drop_6.setTransform(384.9,443.3,1,1,0,0,0,34.5,20.5);

	this.drop_5 = new lib.Symbol2();
	this.drop_5.setTransform(384.9,223.3,1,1,0,0,0,34.5,20.5);

	this.drop_4 = new lib.Symbol2();
	this.drop_4.setTransform(384.9,169.3,1,1,0,0,0,34.5,20.5);

	this.drag_8 = new lib.Symbol2();
	this.drag_8.setTransform(1054.4,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_7 = new lib.Symbol2();
	this.drag_7.setTransform(1054.4,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_6 = new lib.Symbol2();
	this.drag_6.setTransform(1054.4,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_5 = new lib.Symbol2();
	this.drag_5.setTransform(1054.4,230.3,1,1,0,0,0,34.5,20.5);

	this.drop_3 = new lib.Symbol1();
	this.drop_3.setTransform(384.9,389.3,1,1,0,0,0,34.5,20.5);

	this.drop_2 = new lib.Symbol1();
	this.drop_2.setTransform(384.9,334.3,1,1,0,0,0,34.5,20.5);

	this.drop_1 = new lib.Symbol1();
	this.drop_1.setTransform(384.9,279.3,1,1,0,0,0,34.5,20.5);

	this.drag_3 = new lib.Symbol1();
	this.drag_3.setTransform(953.9,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_2 = new lib.Symbol1();
	this.drag_2.setTransform(953.9,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_28 = new lib.Symbol10();
	this.drag_28.setTransform(953.9,490,1,1,0,0,0,34.5,20.5);

	this.drag_27 = new lib.Symbol9();
	this.drag_27.setTransform(1154.9,407.4,1,1,0,0,0,34.5,20.5);

	this.drag_26 = new lib.Symbol8();
	this.drag_26.setTransform(1054.4,407.4,1,1,0,0,0,34.5,20.5);

	this.drag_22 = new lib.Symbol7();
	this.drag_22.setTransform(953.9,407.4,1,1,0,0,0,34.5,20.5);

	this.drag_17 = new lib.Symbol6();
	this.drag_17.setTransform(1154.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_14 = new lib.Symbol5();
	this.drag_14.setTransform(1054.4,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_11_1 = new lib.Symbol4();
	this.drag_11_1.setTransform(953.9,314.1,1,1,0,0,0,34.5,20.5);

	this.drag_9 = new lib.Symbol3();
	this.drag_9.setTransform(1154.9,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_4 = new lib.Symbol2();
	this.drag_4.setTransform(1054.4,230.3,1,1,0,0,0,34.5,20.5);

	this.drag_1 = new lib.Symbol1();
	this.drag_1.setTransform(953.9,230.3,1,1,0,0,0,34.5,20.5);

	this.instance = new lib.Bitmap1();
	this.instance.setTransform(139.9,86.3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.drag_1},{t:this.drag_4},{t:this.drag_9},{t:this.drag_11_1},{t:this.drag_14},{t:this.drag_17},{t:this.drag_22},{t:this.drag_26},{t:this.drag_27},{t:this.drag_28},{t:this.drag_2},{t:this.drag_3},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drag_10},{t:this.drop_9},{t:this.drop_10},{t:this.drag_11},{t:this.drag_13},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drag_15},{t:this.drag_16},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_17},{t:this.drag_18},{t:this.drag_19},{t:this.drag_20},{t:this.drag_21},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_21},{t:this.drag_23},{t:this.drag_24},{t:this.drag_25},{t:this.drop_22},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_27},{t:this.drop_26},{t:this.drag_12}]}).wait(1));

	// bg
	this.instance_1 = new lib.Bitmap2();
	this.instance_1.setTransform(868,158.5);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(139.9,86.3,1091.1,559);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(779.9,446.3,1091.1,559);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;